<?php
include_once 'config.php';

// Check if doneList is set in POST request
if (isset($_POST['doneList'])) {
    $done = $_POST['doneList'];
    $done_list = explode(",", $done);
    
    // Prepare the SQL statement with a placeholder
    $stmt = $link->prepare("UPDATE `Messages` SET `Envoyé` = 1 WHERE `Msg_ID` = ?");
    
    // Check if the statement was prepared successfully
    if ($stmt === false) {
        die('Prepare failed: ' . htmlspecialchars($link->error));
    }

    for ($i = 0; $i < count($done_list); $i++) {
        $msg_id = trim($done_list[$i]);

        // Bind the parameter and execute the statement
        $stmt->bind_param('s', $msg_id);

        if (!$stmt->execute()) {
            echo 'Execute failed: ' . htmlspecialchars($stmt->error);
        } else {
            echo "Updated message ID: $msg_id<br>";
        }
    }

    // Close the statement
    $stmt->close();
} else {
    echo 'No data received.';
}

// Close the database connection
$link->close();
?>
